# Uses of Class
org.apache.sysds.runtime.io.ReadProperties

Packages that use ReadProperties
Package
Description
org.apache.sysds.runtime.io
org.apache.sysds.runtime.util

## Uses of ReadProperties in org.apache.sysds.runtime.io

Methods in org.apache.sysds.runtime.io with parameters of type ReadProperties
Modifier and Type
Method
Description
`static MatrixReader`
MatrixReaderFactory.`createMatrixReader(ReadProperties props)`

## Uses of ReadProperties in org.apache.sysds.runtime.util

Methods in org.apache.sysds.runtime.util with parameters of type ReadProperties
Modifier and Type
Method
Description
`static MatrixBlock`
DataConverter.`readMatrixFromHDFS(ReadProperties prop)`
Core method for reading matrices in format textcell, matrixmarket, binarycell, or binaryblock from HDFS into main memory.